Skip to Content

Märkte

Ruft verfügbare Markttypen, ihre Konfigurationen und Sportverfügbarkeit ab.

GET /api/v1/markets

Erfordert einen API-Schlüssel. Verfügbar in allen Tarifen (Free inklusive). Nicht authentifizierte Anfragen geben 401 zurück.

Query-ParameterPermalink for this section

ParameterTypStandardBeschreibung
sportstringallMärkte nach Sportart filtern (z. B. basketball)

BeispielanfragenPermalink for this section

# Alle Märkte auflisten curl -X GET "https://api.sharpapi.io/api/v1/markets" \ -H "X-API-Key: YOUR_API_KEY" # Nach Sportart filtern curl -X GET "https://api.sharpapi.io/api/v1/markets?sport=basketball" \ -H "X-API-Key: YOUR_API_KEY"

AntwortPermalink for this section

Erfolg (200)Permalink for this section

{ "data": [ { "id": "moneyline", "name": "Moneyline", "description": "Bet on which team will win the game outright", "hasLine": false, "examples": ["Lakers -150", "Celtics +130"], "event_count": 142, "selection_count": 312, "sports": ["baseball", "basketball", "football", "hockey", "mma", "soccer", "tennis"] }, { "id": "point_spread", "name": "Point Spread", "description": "Bet on the point margin between teams", "hasLine": true, "examples": ["Lakers -4.5 (-110)", "Celtics +4.5 (-110)"], "event_count": 98, "selection_count": 210, "sports": ["baseball", "basketball", "football", "hockey"] }, { "id": "total_points", "name": "Total Points", "description": "Bet on the combined score of both teams (over/under)", "hasLine": true, "examples": ["Over 220.5 (-110)", "Under 220.5 (-110)"], "event_count": 95, "selection_count": 198, "sports": ["baseball", "basketball", "football", "hockey", "soccer", "tennis"] }, { "id": "team_total", "name": "Team Total", "description": "Bet on the score of one specific team", "hasLine": true, "examples": ["Lakers Over 112.5", "Lakers Under 112.5"], "event_count": 64, "selection_count": 140, "sports": ["baseball", "basketball", "football", "hockey"] }, { "id": "player_prop", "name": "Player Prop", "description": "Bet on individual player performance statistics", "hasLine": true, "examples": ["LeBron James Over 25.5 Points", "Stephen Curry Over 4.5 3-Pointers"], "event_count": 52, "selection_count": 1840, "sports": ["baseball", "basketball", "football", "hockey"] }, { "id": "game_prop", "name": "Game Prop", "description": "Bet on specific game events or occurrences", "hasLine": false, "examples": ["First Team to Score", "Will there be Overtime?"], "event_count": 30, "selection_count": 86, "sports": ["baseball", "basketball", "football", "hockey"] }, { "id": "future", "name": "Future", "description": "Long-term bets on season outcomes or championships", "hasLine": false, "examples": ["NBA Championship Winner", "MVP Award Winner"], "event_count": 12, "selection_count": 48, "sports": ["baseball", "basketball", "football", "hockey"] }, { "id": "1st_half", "name": "1st Half", "description": "1st Half", "hasLine": true, "examples": [], "event_count": 40, "selection_count": 96, "sports": ["basketball", "football"] }, { "id": "1st_quarter", "name": "1st Quarter", "description": "1st Quarter", "hasLine": true, "examples": [], "event_count": 28, "selection_count": 64, "sports": ["basketball", "football"] } ], "meta": { "count": 9, "total_events": 561, "total_selections": 2994, "rate_limit": { "limit": 10, "remaining": 9, "reset": 1706270460 } } }

Schema des Markt-ObjektsPermalink for this section

FeldTypBeschreibung
idstringEindeutige Marktkennung (zur Verwendung in API-Filtern)
namestringLesbarer Marktname
descriptionstringKurze Beschreibung des Marktes
hasLinebooleanOb dieser Markt einen Linienwert enthält
examplesstring[]Beispielauswahlen für diesen Markt
event_countnumber | nullAnzahl der Events, die diesen Markt aktuell anbieten
selection_countnumber | nullAnzahl der eindeutigen Auswahlen über alle Events hinweg
sportsstring[]Sport-IDs, die diesen Markt aktuell haben

MarkttypenPermalink for this section

KernmärktePermalink for this section

Die beliebtesten und am häufigsten verfügbaren Wettmärkte.

MarktBeschreibunghasLineBeispiele
moneylineSieger direkt tippenNeinLakers -150, Celtics +130
point_spreadPunktespread / Handicap-WetteJaLakers -4.5 (-110), Celtics +4.5 (-110)
total_pointsÜber/Unter kombinierter PunktestandJaOver 220.5 (-110), Under 220.5 (-110)
team_totalWette auf den Punktestand eines TeamsJaLakers Over 112.5, Lakers Under 112.5

Prop-MärktePermalink for this section

Spieler- und Spiel-Propositionswetten für spezifischere Ergebnisse.

MarktBeschreibunghasLineBeispiele
player_propStatistiken einzelner Spieler (Punkte, Rebounds, Assists usw.)JaLeBron James Over 25.5 Points
game_propSpielspezifische Ergebnisse (z. B. Verlängerung)NeinFirst Team to Score

PeriodenmärktePermalink for this section

Märkte für bestimmte Perioden innerhalb eines Spiels (Halbzeiten, Viertel).

MarktBeschreibunghasLine
1st_halfMoneyline, Spread oder Total der 1. HalbzeitJa
1st_quarterMoneyline, Spread oder Total des 1. ViertelsJa

Weitere MärktePermalink for this section

MarktBeschreibunghasLineBeispiele
futureLangfristige Wetten auf Saisonergebnisse oder MeisterschaftenNeinNBA Championship Winner, MVP Award Winner

AuswahltypenPermalink for this section

TypVerwendet inBeschreibung
homeMoneyline, Spread, PeriodeHeimmannschaft gewinnt oder deckt
awayMoneyline, Spread, PeriodeAuswärtsmannschaft gewinnt oder deckt
overTotal, Props, PeriodeÜber dem Linienwert
underTotal, Props, PeriodeUnter dem Linienwert
yesGame Props, Team PropsErgebnis tritt ein
noGame Props, Team PropsErgebnis tritt nicht ein

Marktverfügbarkeit nach SportartPermalink for this section

SportartMoneylineSpreadTotalPlayer PropsTeam PropsPeriode
Basketball (NBA)JaJaJaJaJaJa
Football (NFL)JaJaJaJaJaJa
Baseball (MLB)JaJaJaJaJaJa
Hockey (NHL)JaJaJaJaJaJa
Basketball (NCAAB)JaJaJaEingeschränktEingeschränktJa
Football (NCAAF)JaJaJaEingeschränktEingeschränktJa
SoccerJaJaJaEingeschränktEingeschränktEingeschränkt
TennisJaNeinJaEingeschränktNeinNein
MMA (UFC)JaNeinNeinEingeschränktNeinNein
Golf (PGA)JaNeinNeinEingeschränktNeinNein

„Eingeschränkt” bedeutet, dass der Markt für einige Events verfügbar ist, jedoch nicht für alle, je nach Sportsbook und Event. Verwenden Sie die Odds-Endpunkte, um zu sehen, welche Märkte für ein bestimmtes Event verfügbar sind.

Verwendung von Märkten in FilternPermalink for this section

Verwenden Sie die Markt-id als Filterparameter für andere Endpunkte:

# Get only moneyline odds curl "https://api.sharpapi.io/api/v1/odds?market=moneyline" \ -H "X-API-Key: YOUR_API_KEY" # Get spread and total odds curl "https://api.sharpapi.io/api/v1/odds?market=point_spread,total_points" \ -H "X-API-Key: YOUR_API_KEY" # Get player props only curl "https://api.sharpapi.io/api/v1/odds?market=player_prop" \ -H "X-API-Key: YOUR_API_KEY" # Best odds for moneyline markets curl "https://api.sharpapi.io/api/v1/odds/best?market=moneyline" \ -H "X-API-Key: YOUR_API_KEY"

Linien verstehenPermalink for this section

Märkte mit hasLine: true enthalten einen numerischen Linienwert in der Odds-Antwort:

  • Spread: Das Punkthandicap (z. B. bedeutet -6.5, dass das Team mit 7+ Punkten gewinnen muss)
  • Total: Der Schwellwert für den kombinierten Punktestand (z. B. 215.5 für Over/Under)
  • Player Props: Der Statistikschwellwert (z. B. 24.5 Punkte für einen Spieler)
  • Team Props: Der Team-Statistikschwellwert (z. B. 105.5 Team-Gesamtpunkte)

Märkte mit hasLine: false (wie Moneyline) haben line: null in der Odds-Antwort.

Verwandte EndpunktePermalink for this section

Last updated on